@import "sass-essentials";

.form {
  position: relative;
  display: inline-block;
  width: 100%;
  background-color: #FEFEFE;
  border-radius: 5px;
  .description {
    color: #333;
    padding-left: 21px;
    background-image: url('icon-info.svg');
    background-position: 0 1px;
    background-repeat: no-repeat;
    background-size: 15px 15px;
    margin-top: 9px;
    display: inline-block;
    float: left;
    width: 100%;
    font-size: 17px;
    line-height: 17px;
  }
  .form-actions {
    padding-top: 35px;
    text-align: center;
    width: 100%;
    .button {
      margin-left: 20px;
      margin-right: 20px;
    }
  }
  .button {
    margin-bottom: 25px;
  }
}

input,
textarea,
select,
button {
  font-family: inherit;
  font-size: 21px;

  &::placeholder {
    color: #A5A5A5;
  }
}

input,
textarea {
  outline: 0;
}

input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
input[type="email"],
input[type="number"],
textarea {
  transition: all 0.2s ease;
  background-color: #FFF;
  width: 100%;
  font-size: 21px;
  line-height: 17px;
  padding: 0 19px;
  color: #4C4C4C;
  border: 1px solid #D8D8D8;
  border-color: #D8D8D8;
  background-position: center right;
  border-radius: 19px;
  background-size: 39px;
  background-repeat: no-repeat;
  padding-right: 40px;

  &:focus,
  &:hover {
    border-color: #4D4D4D;
    background-color: #FFF;
  }
  &.error {
    border-color: red;
    background-image: url('icon-warning-bordered.svg');
    &:focus,
    &:hover {
      border-color: #4D4D4D;
    }
  }
  &.js-loading {
    background-image: url('icon-loading-bordered.gif');
  }
}

input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
input[type="email"],
input[type="checkbox"],
input[type="number"],
.input__wrapper,
textarea,
.select-style,
.form-managed-file,
.form-radios {
  ~ .form-item--error-message,
  ~ label.error {
    color: red;
    margin-top: 9px;
    padding-left: 21px;
    float: left;
    display: inline-block;
    width: 100%;
    font-size: 17px;
    line-height: 17px;
    ~ .description {
      margin-top: 4px;
    }
  }
}

input[type="checkbox"] {
  ~ .form-item--error-message,
  ~ label.error {
    padding-left: 32px;
    padding-right: 70px;
  }
}

input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
input[type="email"],
input[type="number"] {
  height: 41px;
  &[readonly],
  &[disabled]{
    background-color: #D8D8D8;
    color: #4C4C4C;
    border-color: #D8D8D8;
    &:hover,
    &:focus {
      background-color: #D8D8D8;
      color: #4C4C4C;
      border-color: #D8D8D8;
    }
  }
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
}
input[type="number"] {
  -moz-appearance: textfield;
}

textarea {
  min-height: 200px;
  resize: none;
  padding: 20px;
  float: left;
  width: 100%;
}

.form-item__wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  > * {
    flex: 0 1 auto;
    max-width: 100%; // fix IE
  }
}
